package com.ruoyi.service.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.ruoyi.domain.ResultFileRelation;
import com.ruoyi.domain.TaskFileRelation;
import com.ruoyi.mapper.ResultFileRelationMapper;
import com.ruoyi.mapper.TaskFileRelationMapper;
import com.ruoyi.service.ResultFileRelationService;
import com.ruoyi.service.TaskFileRelationService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import java.util.List;

@Transactional
@Service
public class TaskFileRelationServiceImpl extends ServiceImpl<TaskFileRelationMapper, TaskFileRelation> implements TaskFileRelationService {

    @Autowired
    private TaskFileRelationMapper taskFileRelationMapper;

    @Override
    public List<TaskFileRelation> findByTaskId(Long taskId) {
        return taskFileRelationMapper.findByTaskId(taskId);
    }
}
