package com.ruoyi.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.ruoyi.domain.TestRecords;

import java.util.List;

public interface TestRecordsService extends IService<TestRecords> {

    /**
     * 根据项目id获取用例
     * @param id
     * @return
     */
    List<TestRecords> findByTaskId(String id);

    /**
     * 发送请求
     * @param id
     */
    void sendPost(String id,Long taskId);

    /**
     * 单个任务发送请求
     * @param id
     * @param taskId
     */
    void singleSendPost(String id,Long taskId);
}
